Package twisted :: Package application :: Module internet |
[frames | no frames]

## Module twisted.application.internet

Reactor-based Services

Here are services to run clients, servers and periodic services using the reactor.

API Stability: unstable

Maintainer: Moshe Zadka

Classes
`_AbstractClient` |
`_AbstractServer` |
`_VolatileDataService` |
`base` |
`GenericClient` | Connect to Generic
`GenericServer` | Serve Generic clients
`klass` | Connect to Multicast
`MulticastClient` | Connect to Multicast
`MulticastServer` | Serve Multicast clients
`SSLClient` | Connect to SSL
`SSLServer` | Serve SSL clients
`TCPClient` | Connect to TCP
`TCPServer` | Serve TCP clients
`TimerService` |
`UDPClient` | Connect to UDP
`UDPServer` | Serve UDP clients
`UNIXClient` | Connect to UNIX
`UNIXDatagramClient` | Connect to UNIXDatagram
`UNIXDatagramServer` | Serve UNIXDatagram clients
`UNIXServer` | Serve UNIX clients

Variable Summary
`dict` | `_doc` = `{'Client': 'Connect to %(tran)s\n\nCall connect%(...`

Variable Details

    ### _doc Type: `dict` Value:
        {'Client': 'Connect to %(tran)s\n\nCall connect%(method)s when the ser\
        vice starts, with the\narguments given to the constructor.\n',
         'Server': 'Serve %(tran)s clients\n\nCall listen%(method)s when the s\
        ervice starts, with the\narguments given to the constructor. When the \
        service stops,\nstop listening.\n'}

Generated by Epydoc 2.0 on Sat Oct 25 00:55:00 2003 | http://epydoc.sf.net